Bug 133080 - (IT_40279) Sparse ID tags in cluster.xml do not work
Sparse ID tags in cluster.xml do not work
Status: CLOSED ERRATA
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: clumanager (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lon Hohberger
Cluster QE
:
Depends On:
Blocks: 131576
  Show dependency treegraph
 
Reported: 2004-09-21 11:45 EDT by Lon Hohberger
Modified: 2009-04-16 16:15 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-09 10:07:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch fixing problem (46.22 KB, patch)
2004-09-21 11:49 EDT, Lon Hohberger
no flags Details | Diff
Test case cluster.xml (3.50 KB, text/plain)
2004-09-21 11:54 EDT, Lon Hohberger
no flags Details
My test config. (3.19 KB, text/plain)
2004-11-09 10:05 EST, Derek Anderson
no flags Details

  None (edit)
Description Lon Hohberger 2004-09-21 11:45:27 EDT
Sparse ID attributes in /etc/cluster.xml cause clumanager to stop
short when starting/stopping a resource.

e.g.

<device id="0">
   <...>
</device>
<device id="3">
   <...>
</device>


Version-Release number of selected component (if applicable):
1.2.3-1 - 1.2.16-1


How reproducible:
100%


Steps to Reproduce:
1.  Create a service with an NFS export with 3 clients.
2.  Save changes.
2.  Remove the middle client.
3.  Save changes.
  
Actual results:
Export will not occur to 3rd-defined client.

Expected results:
Export occurs to 3rd-defined client.

Additional info:
General problem with the way the old clumanager scripts worked.
Comment 1 Lon Hohberger 2004-09-21 11:49:55 EDT
Created attachment 104070 [details]
Patch fixing problem

Tested.  This implements sparse ID handling for all parts of a service as well
as fixes a few misc. and removes some unused code.
Comment 2 Lon Hohberger 2004-09-21 11:54:17 EDT
Created attachment 104071 [details]
Test case cluster.xml
Comment 7 Lon Hohberger 2004-09-21 15:32:27 EDT
Found a few minor bugs during more rigorous testing.
Comment 8 Lon Hohberger 2004-09-23 12:03:01 EDT
Bugs squashed.  Waiting for errata.
Comment 9 Derek Anderson 2004-11-09 10:05:26 EST
Created attachment 106338 [details]
My test config.
Comment 10 Derek Anderson 2004-11-09 10:07:05 EST
Verified with the config from #9 against version:

clumanager-1.2.22-2

Ready for RHEL3-U4.
Comment 12 John Flanagan 2004-12-20 22:40:15 EST
An advisory has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-491.html

Note You need to log in before you can comment on or make changes to this bug.